> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Produkte entfernen

> Löschen Sie Produkte aus Kameleoon anhand ihrer ID, um zu verhindern, dass sie in den Empfehlungsergebnissen erscheinen.

Dieser Endpoint löscht Produkte aus Kameleoon, um zu verhindern, dass sie in den Empfehlungsergebnissen erscheinen.

## Liste der Abfrageparameter

| Parameter | Typ | Erforderlich | Beschreibung |
| - | - | - | - |
| `shop_id` | String | Ja | Store Key. Sie finden ihn in **Recommendations** > **Settings** > **Store settings** in der Kameleoon App. Kontaktieren Sie Ihren Customer Success Manager, falls erforderlich, um den Schlüssel zu erhalten. |
| `shop_secret` | String | Ja | Secret Key. Sie finden ihn in **Recommendations** > **Settings** > **Store settings** in der Kameleoon App. Kontaktieren Sie Ihren Customer Success Manager, falls erforderlich, um den Schlüssel zu erhalten. |
| `items` | List | Ja | Eine Liste von Produkt-IDs. |

Beim Senden einer Anfrage vom Typ `DELETE` (Löschen von Produkten aus der Plattform) reicht es aus, die Identifikatoren (die `id`) der zu entfernenden Produkte aufzulisten, wie in [diesem Beispiel](#beispiel-json-anfrage) gezeigt.

## Beispiel-JSON-Anfrage

```json theme={null}
{
"shop_id": "eehj3eu84299kg5ghw5a6743r8",
"shop_secret": "pmd5362597thrgq8k256ep01t0",
"items": ["1635", "3743", "7578", "432"]
}
```


## OpenAPI

````yaml product-recommendation.api.json DELETE /import/products
openapi: 3.1.0
info:
  title: Kameleoon Product Recommendation API
  version: 1.0.0
  description: >-
    REST API for importing product, category, and order data into Kameleoon,
    initializing recommendation sessions, and retrieving product
    recommendations, collections, and search results.
servers:
  - url: https://api.products.kameleoon.com
security: []
paths:
  /import/products:
    delete:
      tags:
        - Import
      summary: Remove products
      description: >-
        Delete products from Kameleoon by ID to prevent them from appearing in
        recommendation results.
      operationId: removeProducts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - shop_id
                - shop_secret
                - items
              properties:
                shop_id:
                  type: string
                  description: >-
                    Store Key. Find this in **Recommendations** > **Settings** >
                    **Store settings** in the Kameleoon app. Contact your
                    Customer Success Manager for the key if necessary.
                shop_secret:
                  type: string
                  description: >-
                    Secret Key. Find this in **Recommendations** > **Settings**
                    > **Store settings** in the Kameleoon app. Contact your
                    Customer Success Manager for the key if necessary.
                items:
                  type: array
                  items:
                    type: string
                  description: IDs of the products to remove.
            example:
              shop_id: eehj3eu84299kg5ghw5a6743r8
              shop_secret: pmd5362597thrgq8k256ep01t0
              items:
                - '1635'
                - '3743'
                - '7578'
                - '432'
      responses:
        '204':
          description: >-
            Products removed. Verified against a live response on 2026-09-24:
            this endpoint returns an empty 204 response on success, not a JSON
            body — the `{"status": "success"}` shape only applies to the
            asynchronous `webhook` callback payload, if a `webhook` was
            provided.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                    description: Request outcome.
              example:
                status: success
        '400':
          description: >-
            The request was rejected, most commonly for invalid
            `shop_id`/`shop_secret` credentials. Verified against a live
            response on 2026-09-24.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                    description: Request outcome.
                  message:
                    type: string
                    description: Error details (for example, "Incorrect shop credentials").
              example:
                status: error
                message: Incorrect shop credentials

````